<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function Front2Back_content($content, $image)
{
  global $template, $conf, $user;
  $conf['Front2Back'] = explode(',', $conf['Front2Back']);
  load_language('plugin.lang', F2B_PATH);

  /* dirs and files */
  if (empty($conf['Front2Back'][0])) {
    $verso_dir = str_replace($image['file'], null, $image['path']) . $conf['Front2Back'][1];
    $hd_dir = str_replace($image['file'], null, $image['path']) . $conf['Front2Back'][2];
  } else {
    $verso_dir = PHPWG_ROOT_PATH . $conf['Front2Back'][0] . $conf['Front2Back'][1];
    $hd_dir = PHPWG_ROOT_PATH . $conf['Front2Back'][0] . $conf['Front2Back'][2];
  }
  $verso_file = get_filename_wo_extension($image['file']) . $conf['Front2Back'][3] . '.' . get_extension($image['file']);
  $rotat_file = get_filename_wo_extension($image['file']) . '-r.' . get_extension($image['file']);

  /* Is there a verso file ? */
  if (is_file($verso_dir.$verso_file)) 
  {
    $template->assign('VERSO_URL', $verso_dir.$verso_file);

    if (is_file($hd_dir.$verso_file)) {
      $template->assign('VERSO_HD', $hd_dir.$verso_file);
    }
  }
  /* useless section, just for retrocompatibility */
  else if (is_file($verso_dir.$rotat_file)) 
  {           
    $template->assign('VERSO_URL', $verso_dir.$rotat_file); 
    
    if (is_file($hd_dir.$rotat_file)) {
      $template->assign('VERSO_HD', $hd_dir.$rotat_file);
    }
  }
  /* otherwise */
  else 
  {
    return $content;
  }
  
  /* link name */
  $conf['Front2Back'][7] = unserialize($conf['Front2Back'][7]);
  if (!empty($conf['Front2Back'][7][$user['language']]))
  {
    if (strpos($conf['Front2Back'][7][$user['language']], '|') !== false)
    {
      $conf['Front2Back'][7] = explode('|', $conf['Front2Back'][7][$user['language']]);
    }
    else
    {
      $conf['Front2Back'][7] = array($conf['Front2Back'][7][$user['language']], $conf['Front2Back'][7][$user['language']]);
    }
  }
  else if (!empty($conf['Front2Back'][7]['default']))
  {
    if (strpos($conf['Front2Back'][7]['default'], '|') != false)
    {
      $conf['Front2Back'][7] = explode('|', $conf['Front2Back'][7]['default']);
    }
    else
    {
      $conf['Front2Back'][7] = array($conf['Front2Back'][7]['default'], $conf['Front2Back'][7]['default']);
    }
  }
  else
  {
    $conf['Front2Back'][7] = array(l10n('See back'), l10n('See front'));
  }
  
  $template->set_filename('Front2Back', dirname(__FILE__) . '/template/Front2Back.tpl');
  $template->assign(array(
    'F2B_PATH' => F2B_PATH,
    'F2B_position' => $conf['Front2Back'][4],
    'F2B_switch_mode' => $conf['Front2Back'][5],
    'F2B_transition' => $conf['Front2Back'][6],
    'F2B_see_back' => $conf['Front2Back'][7][0],
    'F2B_see_front' => $conf['Front2Back'][7][1],
  ));
  
  switch ($conf['Front2Back'][4])
  {
    case 'toolbar':
      $template->concat('PLUGIN_PICTURE_ACTIONS', $template->parse('Front2Back', true));
      return $content;  
      break;
    case 'top':
      return $template->parse('Front2Back', true)."\n".$content;
      break;
    case 'bottom':
      return $content."\n".$template->parse('Front2Back', true);
      break;
  }

}

?>